Summary:	RPM correctness checker
Name:		rpmlint
Version:	1.5
Release:	3
License:	GPLv2+
Group:		Development/Other
Url:		http://rpmlint.zarb.org/
Source0:	http://rpmlint.zarb.org/download/%{name}-%{version}.tar.xz
Source1:	rpmlint.config
Patch0:		rpmlint-1.4-fix-paths-to-extracted-srpm-files.patch
Patch1:		rpmlint-1.4-add-lgplv21-license.patch
Patch2:		rpmlint-1.4-below-threshold-returns-zero.patch
Patch3:		rpmlint-1.4-fix-setup-checks.patch
Patch4:		rpmlint-1.5-external-depfilter-with-internal-depgen.patch
Patch5:		rpmlint-1.4-shared-lib-not-executable.patch
# proper fix for rhbz#487855
Patch6:		rpmlint-1.4-only-report-actual-errors-as-spec_error.patch
Patch7:		rpmlint-1.5-install-info-trigger.patch
Patch8:		rpmlint-1.5-legacy-mandriva-filetriggers.patch
Patch9:		rpmlint-1.5-double-slash-in-path.patch
Patch10:	rpmlint-1.4-make-tests-pass.patch
Patch11:	rpmlint-1.4-dont-check-use-of-RPM_SOURCE_DIR-in-changelog.patch
Patch12:	rpmlint-1.4-dont-use-_RPMVSF_NOSIGNATURES.patch
Patch14:	rpmlint-1.4-incoherent-pkgname-description.patch
Patch15:	rpmlint-1.4-only-report-non-versioned-files-for-libs.patch
Patch16:	rpmlint-1.4-ignore-no-packager.patch
Patch17:	rpmlint-1.4-spec-subpackage-desc.patch
Patch18:	rpmlint-1.5-drop-obsolete-checks.patch
Patch19:	rpmlint-1.4-missed-attrs-in-desktop-files.patch
Patch20:	rpmlint-1.4-distsuffix-check.patch
Patch21:	rpmlint-1.4-content-licenses.patch
Patch22:	rpmlint-1.4-drop-man-page-check.patch
Patch23:	rpmlint-1.4-improve-rpath-checks.patch
# ROSA policy require libfoo-devel to depend on 'libfoo%{major}',
# not just 'libfoo'
Patch24:	rpmlint-1.4-fix-lib-deps.patch
Patch25:	rpmlint-1.5-apply-patches-macro-disables-patch-not-applied-check.patch
Patch26:	rpmlint-1.4-dkms.patch

Patch27:        rpmlint-1.5-xdg-check-exception.diff
Patch28:        rpmlint-1.5-xdg-paths-update.diff

Requires:	python-rpm python-magic desktop-file-utils
# Hardcode "rosa" while %_vendor is still set to "mandriva"...
Suggests:	python-enchant rpmlint-rosa-policy

BuildRequires:	python-rpm
BuildArch:	noarch

%description
Rpmlint is a tool to check common errors on rpm packages.
Binary and source packages can be checked.

%files
%doc ChangeLog README*
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/%{name}/config
%dir %{_sysconfdir}/%{name}/
# Which of these exists depends on the version of bash_completion.
# Let's support both.
%optional %config(noreplace) %{_sysconfdir}/bash_completion.d/*
%optional %config(noreplace) %{_datadir}/bash-completion/completions/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .srpm_paths~
%patch1 -p1 -b .lgplv21~
%patch2 -p1 -b .threshold~
%patch3 -p1 -b .setup~
%patch4 -p1 -b .dep_filter~
%patch5 -p1 -b .shlib_exec~
%patch6 -p1 -b .spec_error~
%patch7 -p1 -b .info~
%patch8 -p1 -b .triggers~
%patch9 -p1 -b .slash~
%patch10 -p1 -b .test~
%patch11 -p1 -b .sourcedir_changelog~
%patch12 -p1 -b .nosig~
%patch14 -p1 -b .pkgname_description~
%patch15 -p0 -b .nonversioned_libs~
%patch16 -p0 -b .nopackager~
# rpmlint sometimes fails to detect that 'description' section is over...
# %patch17 -p0 -b .subpkg_desc~
%patch18 -p1 -b .obsolete~
# For FBA usage only
# %patch19 -p0 -b .desktop_l10n~
%patch20 -p1 -b .distsuffix~
%patch21 -p1 -b .licenses~
%patch22 -p1 -b .no-man-page~
%patch23 -p1 -b .improve-rpath~
%patch24 -p1 -b .lib_deps~
%patch25 -p1 -b .apply_patches~
# %patch26 -p1 -b .dkms~

%patch27 -p1 -b .xdg-exceptions~
%patch28 -p1 -b .xdg-path~

%build
export COMPILE_PYC=1
%make

%check
make check

%install
%makeinstall_std

install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/%{name}/config
install -d %{buildroot}%{_datadir}/%{name}/config.d/


%changelog
* Tue Aug 26 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.5-3
+ Revision: 5b5f7be
- Added Ruby license

* Thu Aug 21 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.5-2
+ Revision: db41429
- Add xdg fixes from sokol

* Thu Aug 21 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.5-2
+ Revision: 6dec229
- Add xdg fixes from sokol

* Sat Aug 02 2014 abondrov <andrey.bondrov@rosalab.ru> 1.5-1
+ Revision: 74e7331
- New version 1.5, re-diff patches

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.4-46
+ Revision: 7cee08b
- MassBuild#440: Increase release tag

* Wed Jun 11 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.4-45
+ Revision: 979063b
- Really apply 'apply_patches' fix

* Mon Apr 21 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.4-44
+ Revision: 329f9b0
- Added 'BSD with attribution' to allowed licenses

* Mon Feb 24 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.4-44
+ Revision: ad68749
- Fix bash_completion location

* Mon Feb 24 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.4-44
+ Revision: 03c8afd
- Handle apply_paches and treat dkms- as devel packages

* Thu Nov 21 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-43
+ Revision: aa6e921
- Added ZPL 2.1 license to allowed

* Wed Nov 06 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-42
+ Revision: f49b73d
- Fix patch

* Wed Nov 06 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-42
+ Revision: de407fb
- Fix no-dep-on for libraries

* Tue Nov 05 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-41
+ Revision: 344df1a
- Fix rpath typo

* Tue Nov 05 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-41
+ Revision: 3c66929
- Improve rpath checks

* Tue Nov 05 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-40
+ Revision: 256a4b5
- Allow single 'GPL' license - it is still used very widely

* Tue Nov 05 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-39
+ Revision: eb92738
- Require rosa policy instead of mandriva

* Mon Nov 04 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-38
+ Revision: b27f877
- Fix vendor dependency

* Mon Nov 04 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-38
+ Revision: ffda358
- Add more licenses mentioned at ROSA wiki

* Thu Oct 31 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-37
+ Revision: f3a1cc0
- Drop 'no-manual-page' check

* Sat Oct 26 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-36
+ Revision: 6ebfa93
- Added content licenses

* Mon Oct 14 2013 aponomarenko <aponomarenko@rosalab.ru> 1.4-35
+ Revision: e8d903f
- Check that *.desktop is not a directory

* Mon Oct 14 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-34
+ Revision: a4b2989
- Added distsuffix check

* Fri Oct 11 2013 aponomarenko <aponomarenko@rosalab.ru> 1.4-33
+ Revision: 2295c56
- Added new check for missed attributes in desktop files

* Thu Oct 10 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-32
+ Revision: e7eb00f
- Fix patch

* Fri Oct 04 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-32
+ Revision: 7fd857a
- Drop obsolete checks

* Fri Jun 07 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-31
+ Revision: 2d9fa20
- Disable subpackage description check again - rpmlint sometimes fail to detect that %description already finished

* Thu May 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-30
+ Revision: a8d90cf
- Updated subpackage-desc patch

* Thu Apr 25 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-29
+ Revision: 9bb7afc
- Disable last patch - it doesn't understand comments...

* Mon Apr 22 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-28
+ Revision: 5c93be4
- LOG Run description-line-too-long checker for subpackages in spec

* Wed Apr 17 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-27
+ Revision: fc2b6c2
- Fix group


